Table of Contents

Class: AsyncIOBase | eric3/Debugger/AsyncIOBase.py
--- | ---

Class implementing asynchronous reading and writing.

Methods |
--- | ---
__init__ disconnect readReady setDescriptors write writeReady
| __init__

    __init__ ( self )

### Constructor

#### Arguments

parent
  the optional parent of this object (QObject) (ignored)

| disconnect

    disconnect ( self )

Public method to disconnect any current connection.

| readReady

    readReady ( self,  fd )

### Protected method called when there is data ready to be read.

#### Arguments

fd
  file descriptor of the file that has data to be read (int)

| setDescriptors

    setDescriptors (
            self,
            rfd,
            wfd,
            )

### Public method called to set the descriptors for the connection.

#### Arguments

rfd
  file descriptor of the input file (int)
wfd
  file descriptor of the output file (int)

| write

    write ( self,  s )

### Public method to write a string.

#### Arguments

s
  the data to be written (string)

| writeReady

    writeReady ( self,  fd )

### Protected method called when we are ready to write data.

#### Arguments

fd
  file descriptor of the file that has data to be written (int)

Table of Contents

This document was automatically generated by HappyDoc version 2.1